Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.repository
Interface RepositoryFolder

public interface RepositoryFolder
extends RepositoryObject

The RepositoryFolder object represents a folder, or container, in the repository. Repository plug-ins are not required to support folders but they must support the concept of a root folder which acts as the top level container for the repository.

Since:
  WLXT V2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Repository`, `RepositoryDocument`, `RepositoryObject`

Method Summary
`RepositoryDocument` | `addDocument(int type, java.lang.String name, java.lang.String data)` Adds a new document to the repository with this folder as its parent.
`RepositoryDocument` | `addDocument(int type, java.lang.String name, java.lang.String data, java.lang.String desc, java.lang.String notes)` Adds a new document to the repository with this folder as its parent.
`RepositoryFolder` | `createFolder(java.lang.String name)` Create a new folder as a child of this folder.
`RepositoryFolder` | `createFolder(java.lang.String name, java.lang.String desc, java.lang.String notes)` Create a new folder as a child of this folder.
`RepositoryDocument[]` | `getChildDocuments()` Retrieves all documents contained in this folder.
`RepositoryDocument[]` | `getChildDocuments(int type)` Retrieves documents of a specific type in the current folder.
`RepositoryFolder[]` | `getChildFolders()` Retrieves all child folders of the current folder.
`RepositoryObject[]` | `getChildren(boolean inclFolders)` Retrieves the direct children of this folder.
`RepositoryObject[]` | `getChildren(int type, boolean inclFolders)` Retrieves children of a specific type in the current folder.
`RepositoryDocument` | `getDocument(int type, java.lang.String name)` Retrieves a document, which is an immediate child of this folder, from the repository.
`RepositoryFolder` | `getFolder(java.lang.String name)` Retrieves the named folder which is an immediate child of this folder.
`RepositoryDocument` | `newDocument(int type, java.lang.String name)` Create a new document object with this folder as it's parent.
`void` | `setData(java.lang.String desc, java.lang.String notes)` Set the description and notes fields of this folder object.
`java.lang.String` | `toString()` The toString method of the implementation should return the name of the folder.

Methods inherited from interface com.bea.wlxt.repository.RepositoryObject
`getDesc, getName, getNotes, getParent, getRepository, isFolder, remove, rename, setDesc, setNotes, update`

Method Detail

### getDocument

    public RepositoryDocument getDocument(int type,
                                          java.lang.String name)
                                   throws RepositoryException

  Retrieves a document, which is an immediate child of this folder, from the repository.

  Parameters:
    `type` - The type of the requested document. This must be one of the values documented at Repository.DOC_TYPE_*.
    `name` - The name of the requested document.
  Returns:
    A RepositoryDocument object representing the requested document or null is the document does not exist.

### getFolder

    public RepositoryFolder getFolder(java.lang.String name)
                               throws RepositoryException

  Retrieves the named folder which is an immediate child of this folder.

  Parameters:
    `name` - The name of the child folder.
  Returns:
    A RepositoryFolder object representing the requested folder.

### getChildren

    public RepositoryObject[] getChildren(boolean inclFolders)
                                   throws RepositoryException

  Retrieves the direct children of this folder.

  Parameters:
    `inclFolders` - If true folders will be included in the return result (if supported), otherwise the return value will consist of RepositoryDocuments only.
  Returns:
    An array of child objects. If no child objects exist in this folder a zero length array is returned.

### getChildren

    public RepositoryObject[] getChildren(int type,
                                          boolean inclFolders)
                                   throws RepositoryException

  Retrieves children of a specific type in the current folder.

  Parameters:
    `type` - The type of the requested document. This must be one of the values documented at Repository.DOC_TYPE_*.
    `inclFolders` - If true folders will be included in the return result (if supported), otherwise the return value will consist of RepositoryDocuments only.
  Returns:
    An array of child objects. If no child objects exist in this folder which meet the requested criterion a zero length array is returned.

### getChildFolders

    public RepositoryFolder[] getChildFolders()
                                       throws RepositoryException

  Retrieves all child folders of the current folder.

  Returns:
    An array of child objects. If no child objects exist in this folder which meet the requested criterion a zero length array is returned.

### getChildDocuments

    public RepositoryDocument[] getChildDocuments()
                                           throws RepositoryException

  Retrieves all documents contained in this folder.

  Returns:
    An array of child objects. If no child objects exist in this folder which meet the requested criterion a zero length array is returned.

### getChildDocuments

    public RepositoryDocument[] getChildDocuments(int type)
                                           throws RepositoryException

  Retrieves documents of a specific type in the current folder.

  Parameters:
    `type` - The type of the requested document. This must be one of the values documented at Repository.DOC_TYPE_*.
  Returns:
    An array of document objects. If no documents exist in this folder which meet the requested criterion a zero length array is returned.

### newDocument

    public RepositoryDocument newDocument(int type,
                                          java.lang.String name)

  Create a new document object with this folder as it's parent. This methods simply creates an object of the requested document type and name, it does not add it to the repository. The document will not be made a persistent part of the repository until its update() method is called.

  Parameters:
    `type` - The type of the requested document. This must be one of the values documented at Repository.DOC_TYPE_*.
    `name` - The name to be assigned to the document.
  Returns:
    A repository document object of the type and name requested.

### addDocument

    public RepositoryDocument addDocument(int type,
                                          java.lang.String name,
                                          java.lang.String data)
                                   throws RepositoryException

  Adds a new document to the repository with this folder as its parent.

  Parameters:
    `type` - The type of the requested document. This must be one of the values documented at Repository.DOC_TYPE_*.
    `name` - The name to be assigned to the document.
    `data` - The content of the document.
  Returns:
    A RepositoryDocument object which represents the newly added document.

### addDocument

    public RepositoryDocument addDocument(int type,
                                          java.lang.String name,
                                          java.lang.String data,
                                          java.lang.String desc,
                                          java.lang.String notes)
                                   throws RepositoryException

  Adds a new document to the repository with this folder as its parent.

  Parameters:
    `type` - The type of the requested document. This must be one of the values documented at Repository.DOC_TYPE_*.
    `name` - The name to be assigned to the document.
    `data` - The content of the document.
    `desc` - The description of the new document.
    `notes` - Notes to be associated with the new document.
  Returns:
    A RepositoryDocument object which represents the newly added document.

### createFolder

    public RepositoryFolder createFolder(java.lang.String name)
                                  throws RepositoryException

  Create a new folder as a child of this folder.

  Parameters:
    `name` - The name to be assigned to the folder.
  Returns:
    A RepositoryFolder object representing the newly created folder.

### createFolder

    public RepositoryFolder createFolder(java.lang.String name,
                                         java.lang.String desc,
                                         java.lang.String notes)
                                  throws RepositoryException

  Create a new folder as a child of this folder.

  Parameters:
    `name` - The name to be assigned to the folder.
    `desc` - The description of the new folder.
    `notes` - Notes to be associated with the new folder.
  Returns:
    A RepositoryFolder object representing the newly created folder.

### setData

    public void setData(java.lang.String desc,
                        java.lang.String notes)

  Set the description and notes fields of this folder object.

  Parameters:
    `desc` - The new description of this folder.
    `notes` - The new notes to be associated with this folder.

### toString

    public java.lang.String toString()

  The toString method of the implementation should return the name of the folder.

  Returns:
    The name of the repository folder.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)